LibreOffice: DocumentSettings Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
DocumentSettings Service Referencepublished

describes properties that apply to the whole text document. More...

`import"DocumentSettings.idl";`

Inheritance diagram for DocumentSettings:

## Included Services
service | com::sun::star::document::Settings
service | com::sun::star::text::PrintSettings

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service. More...
Exported Interfaces inherited from Settings
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service. More...

## Public Attributes
boolean | ChartAutoUpdate
| specifies if charts in text documents are updated automatically. More...
boolean | AddParaTableSpacing
| specifies if spacing between paragraphs and tables is to be added. More...
boolean | AddParaTableSpacingAtStart
| specifies if top paragraph spacing is applied to paragraphs on the first page of text documents. More...
boolean | AlignTabStopPosition
| specifies the alignment of tab stops in text documents. More...
boolean | SaveGlobalDocumentLinks
| specifies if the contents of links in the global document are saved or not. More...
boolean | IsLabelDocument
| specifies if the document has been created as a label document. More...
boolean | UseFormerLineSpacing
| specifies if the former (till OpenOffice.org 1.1) or the new line spacing formatting is applied. More...
boolean | AddParaSpacingToTableCells
| specifies if paragraph and table spacing is added at the bottom of table cells More...
boolean | UseFormerObjectPositioning
| specifies if the former (till OpenOffice.org 1.1) or the new object positioning is applied. More...
boolean | ConsiderTextWrapOnObjPos
| specifies if the text wrap of floating screen objects are considered in a specified way in the positioning algorithm. More...
boolean | MathBaselineAlignment
| specifies if Math objects should automatically vertically aligned to match the baseline of the surrounding text. More...
Public Attributes inherited from Settings
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| gives access to the set of forbidden characters. More...
short | LinkUpdateMode
| specifies the update mode for links when loading text documents. More...
string | PrinterName
| printer used by the document. More...
sequence< byte > | PrinterSetup
| platform and driver dependent printer setup data. More...
boolean | IsKernAsianPunctuation
| specifies if kerning is applied to Asian punctuation. More...
short | CharacterCompressionType
| specifies the compression (character spacing) type used for Asian characters. More...
boolean | ApplyUserData
| specifies if the user-specific settings saved within a document should be loaded with the document. More...
boolean | SaveVersionOnClose
| specifies if a new version is created if a document has been modified and you want to close it. More...
boolean | UpdateFromTemplate
| specifies if the document should be updated when the template it was created from changes. More...
boolean | FieldAutoUpdate
| specifies if fields in text documents are updated automatically. More...
string | CurrentDatabaseDataSource
| The name of the globally registered com::sun::star::sdb::DataSource from which the current data is taken. More...
string | CurrentDatabaseCommand
| a string value, specifying the name of the object displayed currently (or the SQL statement used). More...
long | CurrentDatabaseCommandType
| determines the interpretation of the property DataTableName. More...
long | DefaultTabStop
boolean | IsPrintBooklet
| determines if the document will be printed as a booklet (brochure), i.e., two document pages are put together on one physical page, such that you can fold the print result and get a booklet. More...
boolean | IsPrintBookletFront
| is only effective, if IsPrintBooklet is `TRUE`. More...
boolean | IsPrintBookletBack
| is only effective, if IsPrintBooklet is `TRUE`. More...
long | PrintQuality
string | ColorTableURL
| contains the URL that points to a color table (file extension .soc) that will be used for showing a palette in dialogs using colors. More...
string | DashTableURL
string | LineEndTableURL
string | HatchTableURL
string | GradientTableURL
string | BitmapTableURL
boolean | AutoCalculate
short | PrinterIndependentLayout
| forbid use of printer metrics for layout More...
boolean | AddExternalLeading
| layout engine should add value of a Font's "external leading" attribute to the line spacing. More...
boolean | EmbedFonts
| Whether to embed fonts used by the document (see e.g. More...
boolean | EmbedSystemFonts
| Whether to embed also system fonts used by the document. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Attributes inherited from PrintSettings
boolean | PrintGraphics
| determines if graphic objects are printed More...
boolean | PrintTables
| determines if text tables are printed. More...
boolean | PrintDrawings
| determines if shapes are printed. More...
boolean | PrintLeftPages
| determines if left pages are printed. More...
boolean | PrintRightPages
| determines if right pages are printed. More...
boolean | PrintControls
| determines if control shapes are printed. More...
boolean | PrintReversed
| determines if the pages are printed in the reverse order, starting with the last page. More...
boolean | PrintPaperFromSetup
| specifies if the printer paper tray selection of the system printer is used. More...
string | PrintFaxName
| contains the name of the fax. More...
com::sun::star::text::NotePrintMode | PrintAnnotationMode
| determines how notes are printed. More...
boolean | PrintProspect
| determines if prospect printing is used. More...
boolean | PrintPageBackground
| determines if the background color / background graphic of pages is printed. More...
boolean | PrintBlackFonts
| determines if characters are always printed in black. More...
boolean | PrintEmptyPages
| determines if automatically inserted empty pages are printed. More...

## Detailed Description

describes properties that apply to the whole text document.

## Exported Interfaces

## ◆ com::sun::star::document::Settings

service com::sun::star::document::Settings

## ◆ com::sun::star::text::PrintSettings

service com::sun::star::text::PrintSettings
| optional

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties implemented by this service.

## Member Data Documentation

## ◆ AddParaSpacingToTableCells

boolean AddParaSpacingToTableCells
| optionalproperty

specifies if paragraph and table spacing is added at the bottom of table cells

This property controls, if the spacing of the last paragraph respectively table of a table cell is added at the bottom of this table cells If `TRUE` (default for documents since OpenOffice.org 2.0), the spacing of the last paragraph respectively table of a table cell is added at the bottom of this table cell. If `FALSE` (typically for documents till OpenOffice.org 1.1), the spacing of the last paragraph respectively table of a table cell isn't added at the bottom of this table cell.

Since
  OOo 2.0

## ◆ AddParaTableSpacing

boolean AddParaTableSpacing
| optionalproperty

specifies if spacing between paragraphs and tables is to be added.

If between two paragraphs, two tables, or a paragraph and a table, you have defined spacing above and below each object, usually only the larger one of the two spaces is used. If the spacing between the objects are to be added this property has to be `TRUE`.

## ◆ AddParaTableSpacingAtStart

boolean AddParaTableSpacingAtStart
| optionalproperty

specifies if top paragraph spacing is applied to paragraphs on the first page of text documents.

If `TRUE`, the paragraph or table spacing to the top will also be effective at the beginning of a page or column if the paragraph or table is positioned on the first page of the document. The same applies for a page break.

## ◆ AlignTabStopPosition

boolean AlignTabStopPosition
| optionalproperty

specifies the alignment of tab stops in text documents.

If `TRUE` centered and right-aligned paragraphs containing tabs are formatted as a whole in the center or aligned to the right. If `FALSE`, only the text to the right of the last tab, for example, is aligned to the right, while the text to the left remains where it is.

## ◆ ChartAutoUpdate

boolean ChartAutoUpdate
| optionalproperty

specifies if charts in text documents are updated automatically.

This has no effect if "FieldAutoUpdate" is `FALSE`.

## ◆ ConsiderTextWrapOnObjPos

boolean ConsiderTextWrapOnObjPos
| optionalproperty

specifies if the text wrap of floating screen objects are considered in a specified way in the positioning algorithm.

This property controls how floating screen objects (Writer fly frames and drawing objects) are positioned. If `TRUE`, the object positioning algorithm will consider the text wrap style, set at the floating screen object. The attribute BaseFrameProperties::WrapInfluenceOnPosition specifies how the text wrap is considered. If `FALSE` (default value), the former object positioning algorithm (known from OpenOffice.org 1.1) is applied.

Since
  OOo 2.0

## ◆ IsLabelDocument

boolean IsLabelDocument
| optionalproperty

specifies if the document has been created as a label document.

This property indicates that the document contains multiple text frames and that the content of one frame is duplicated into the other frames by internally linked text sections.

## ◆ MathBaselineAlignment

boolean MathBaselineAlignment
| optionalproperty

specifies if Math objects should automatically vertically aligned to match the baseline of the surrounding text.

If activated formula object that are anchored 'As Character' will be vertically aligned to have their baseline match with the one from the text.

Since
  OOo 3.4

## ◆ SaveGlobalDocumentLinks

boolean SaveGlobalDocumentLinks
| optionalproperty

specifies if the contents of links in the global document are saved or not.

This property applies only for master documents.

Note: This name is a bit misleading, it should be something like `SaveLinkedDocumentContent`.

## ◆ UseFormerLineSpacing

boolean UseFormerLineSpacing
| optionalproperty

specifies if the former (till OpenOffice.org 1.1) or the new line spacing formatting is applied.

This property controls how a set line spacing at a paragraph influences the formatting of the text lines and the spacing between paragraphs. If `TRUE`, the formatting till OpenOffice.org 1.1 is applied. This means, that a proportional line spacing is applied above and below a text line and that the maximum of the line spacing value between two paragraph is added respectively reckoned up with the paragraph spacing (adding or reckoning up is controlled by document option AddParaTableSpacing). If `FALSE` (default for documents since OpenOffice.org 2.0), a proportional line spacing is only applied below a text line and it's always added to the paragraph spacing between two paragraphs.

Since
  OOo 2.0

## ◆ UseFormerObjectPositioning

boolean UseFormerObjectPositioning
| optionalproperty

specifies if the former (till OpenOffice.org 1.1) or the new object positioning is applied.

This property controls how floating screen objects (Writer fly frames and drawing objects are positioned. If `TRUE`, the object positioning till OpenOffice.org 1.1 is applied. This means, that the top of a paragraph, at which a floating screen object orients its vertical position, includes the lower spacing and the line spacing of the previous paragraph. If `FALSE` (default for documents since OpenOffice.org 2.0), the top of a paragraph, at which a floating screen object orients its vertical position, doesn't include the lower spacing and the line spacing of the previous paragraph.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/text/DocumentSettings.idl